diff a/src/hotspot/share/gc/shenandoah/shenandoahMarkBitMap.hpp b/src/hotspot/share/gc/shenandoah/shenandoahMarkBitMap.hpp
--- a/src/hotspot/share/gc/shenandoah/shenandoahMarkBitMap.hpp
+++ b/src/hotspot/share/gc/shenandoah/shenandoahMarkBitMap.hpp
@@ -1,8 +1,9 @@
 /*
  * Copyright (c) 2018, 2023, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2020, Red Hat, Inc. and/or its affiliates.
+ * Copyright Amazon.com Inc. or its affiliates. All Rights Reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
  * under the terms of the GNU General Public License version 2 only, as
  * published by the Free Software Foundation.
@@ -21,12 +22,12 @@
  * or visit www.oracle.com if you need additional information or have any
  * questions.
  *
  */
 
-#ifndef SHARE_VM_GC_SHENANDOAH_SHENANDOAHMARKBITMAP_HPP
-#define SHARE_VM_GC_SHENANDOAH_SHENANDOAHMARKBITMAP_HPP
+#ifndef SHARE_GC_SHENANDOAH_SHENANDOAHMARKBITMAP_HPP
+#define SHARE_GC_SHENANDOAH_SHENANDOAHMARKBITMAP_HPP
 
 #include "memory/memRegion.hpp"
 #include "runtime/atomic.hpp"
 #include "utilities/globalDefinitions.hpp"
 
@@ -157,10 +158,12 @@
 
   inline bool is_marked(HeapWord* addr) const;
   inline bool is_marked_strong(HeapWord* w)  const;
   inline bool is_marked_weak(HeapWord* addr) const;
 
+  bool is_bitmap_clear_range(const HeapWord* start, const HeapWord* end) const;
+
   // Return the address corresponding to the next marked bit at or after
   // "addr", and before "limit", if "limit" is non-null.  If there is no
   // such bit, returns "limit" if that is non-null, or else "endWord()".
   HeapWord* get_next_marked_addr(const HeapWord* addr,
                                  const HeapWord* limit) const;
@@ -174,6 +177,6 @@
   void clear_large_range_of_words(idx_t beg, idx_t end);
   static void clear_range_of_words(bm_word_t* map, idx_t beg, idx_t end);
 
 };
 
-#endif // SHARE_VM_GC_SHENANDOAH_SHENANDOAHMARKBITMAP_HPP
+#endif // SHARE_GC_SHENANDOAH_SHENANDOAHMARKBITMAP_HPP
